com.google.web.bindery.requestfactory.shared.messages

## Interface ServerFailureMessage

    public interface ServerFailureMessage

Encapsulates a ServerFailure object.

### Field Summary

Fields
`static java.lang.String` `EXCEPTION_TYPE`
`static java.lang.String` `FATAL`
`static java.lang.String` `MESSAGE`
`static java.lang.String` `STACK_TRACE`

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getExceptionType()`
`java.lang.String` `getMessage()`
`java.lang.String` `getStackTrace()`
`boolean` `isFatal()`
`void` `setExceptionType(java.lang.String exceptionType)`
`void` `setFatal(boolean significant)`
`void` `setMessage(java.lang.String message)`
`void` `setStackTrace(java.lang.String stackTrace)`

### Field Detail

#### EXCEPTION_TYPE

    static final java.lang.String EXCEPTION_TYPE

See Also:
  Constant Field Values

#### MESSAGE

    static final java.lang.String MESSAGE

See Also:
  Constant Field Values

#### STACK_TRACE

    static final java.lang.String STACK_TRACE

See Also:
  Constant Field Values

#### FATAL

    static final java.lang.String FATAL

See Also:
  Constant Field Values

### Method Detail

#### getExceptionType

    @AutoBean.PropertyName(value="X")
    java.lang.String getExceptionType()

#### getMessage

    @AutoBean.PropertyName(value="M")
    java.lang.String getMessage()

#### getStackTrace

    @AutoBean.PropertyName(value="S")
    java.lang.String getStackTrace()

#### isFatal

    @AutoBean.PropertyName(value="F")
    boolean isFatal()

#### setExceptionType

    @AutoBean.PropertyName(value="X")
    void setExceptionType(java.lang.String exceptionType)

#### setFatal

    @AutoBean.PropertyName(value="F")
    void setFatal(boolean significant)

#### setMessage

    @AutoBean.PropertyName(value="M")
    void setMessage(java.lang.String message)

#### setStackTrace

    @AutoBean.PropertyName(value="S")
    void setStackTrace(java.lang.String stackTrace)